be.fgov.ehealth.standards.kmehr.cd.v1

## Enum CDEBIRTHNEONATALDEPTTYPEvalues

- java.lang.Object
- - java.lang.Enum<CDEBIRTHNEONATALDEPTTYPEvalues>
  - - be.fgov.ehealth.standards.kmehr.cd.v1.CDEBIRTHNEONATALDEPTTYPEvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDEBIRTHNEONATALDEPTTYPEvalues>

      public enum CDEBIRTHNEONATALDEPTTYPEvalues
      extends Enum<CDEBIRTHNEONATALDEPTTYPEvalues>

  Java class for CD-EBIRTH-NEONATALDEPTTYPEvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-EBIRTH-NEONATALDEPTTYPEvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="nstar"/>
           <enumeration value="nic"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NIC`
    `NSTAR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDEBIRTHNEONATALDEPTTYPEvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDEBIRTHNEONATALDEPTTYPEvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDEBIRTHNEONATALDEPTTYPEvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NSTAR

          public static final CDEBIRTHNEONATALDEPTTYPEvalues NSTAR

    - #### NIC

          public static final CDEBIRTHNEONATALDEPTTYPEvalues NIC

  - ### Method Detail

    - #### values

          public static CDEBIRTHNEONATALDEPTTYPEvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDEBIRTHNEONATALDEPTTYPEvalues c : CDEBIRTHNEONATALDEPTTYPEvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDEBIRTHNEONATALDEPTTYPEvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDEBIRTHNEONATALDEPTTYPEvalues fromValue(String v)

Connector Packaging PERSAUDIOLOGIST 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.